{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.beistherre.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"attack": "query.is_delayed_attacking"
						},
						{
							"eating": "query.is_eating"
						},
						{
							"sit": "!query.is_sleeping && query.is_sitting"
						},
						{
							"sleep": "query.is_sleeping && !query.is_sitting"
						},
						{
							"peck": "query.is_roaring"
						},
						"look_at_target",
						"turn_angle",
						{
							"setup": "!query.is_riding"
						},
						{
							"riding": "query.is_riding"
						}
						
					],
					"blend_transition": 0.5
				}
			}
		},
		"controller.animation.beistherre.move": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": [
						{
							"idle": "!query.is_sleeping && !query.is_sitting"
						}
					],
					"transitions": [
						{
							"walking": "variable.moving"
						}
					],
					"blend_transition": 0.5
				},
				"walking": {
					"animations": [
						{
							"walk": "!query.is_sitting && !query.is_riding"
						}
					],
					"transitions": [
						{
							"idle": "!variable.moving"
						},
						{
							"falling": "!query.is_on_ground"
						}
					],
					"blend_transition": 0.5
				},
				"sprinting": {
					"animations": [
						{
							"sprint": "!query.is_sitting && !query.is_riding"
						}
					],
					"transitions": [
						{
							"idle": "!variable.moving"
						},
						{
							"walking": "!query.is_sprinting"
						},
						{
							"falling": "!query.is_on_ground"
						}
					],
					"blend_transition": 0.5
				},
				"falling": {
					"animations": [
						{
							"falling": "!query.is_sitting && !query.is_riding"
						}
					],
					"transitions": [
						{
							"idle": "!variable.moving && query.is_on_ground"
						},
						{
							"walking": "query.is_on_ground"
						}
					],
					"blend_transition": 0.5
				}
			}
		}
	}
}